<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<link rel="stylesheet" type="text/css" href="css/style.css">
</head>
<body>
<!-- Slideshow container -->
<div class="slideshow-container">

  <!-- Full-width images with number and caption text -->
  <div class="mySlides fade">
    <div class="numbertext">1 / 15</div>
    <img src="images/intro.jpg" style="width:100%;opacity:0.9;">
    <div class="title"></div>
	    <div class="center">
		     <a style="color:white" href="https://tunauza.gitlab.io/presentation">
		     https://tunauza.gitlab.io/presentation</a>
		<!--     <p>Discussion<br>
                    <a style="color:white" href="https://gitter.im/tunauza/community">
	  https://gitter.im/tunauza/community</a></p> -->
	    </div>
    <div class="footer">
            <a style="color:#9966ff", href="https://twitter.com/hashtag/GitLabCommit?src=hashtag_click">#GitLabCommit</a>
    </div>
  </div>

  <div class="mySlides fade">
    <div class="numbertext">2 / 15</div>
    <img src="images/title.jpg" style="width:100%;opacity:0.9;">
    <div class="title" style="color:white">Building an Online Store with GitLab Pages</div>
    <div class="content" style="text-align:center">
     <h3 style="color:white">Bernard Banta</h3>
     <h3 style="color:white">Benson Muite</h3>
     <img src="images/AfricanRubyCommunityLogo.png" style="height:50px;display:block;margin-left:auto;margin-right:auto"> 
     <a style="height:70px;color:white" href="http://nairuby.org/">Nairuby</a>
    </div>
  </div>

  <div class="mySlides fade">
    <div class="numbertext">3 / 15</div>
    <img src="images/background.jpg" style="width:100%;opacity:0.9;">
    <div class="title">Outline</div>
    <div class="content">
	    <ul>
	    <li>Introduction</li>
	    <!--1min-->
	    <li>Experiences in Nairobi, Kenya</li>
	    <!--1min-->
	    <li>GitLab as an E-commerce solution</li>
	    <!--1min-->
	    <li>Demo shops</li>
	    <!--1min-->
	    <li>GitLab pages</li>
	    <!--1min-->
	    <li>Static site generators</li>
	    <!--1min-->
	    <li>Shipping</li>
	    <!--1min-->
	    <li>Payment options</li>
	    <!--1min-->
	    <li>Feedback and customer service</li>
	    <!--1min-->
	    <li>Setup demo</li>
	    <!--1min-->
	    <li>Summary</li>
	    <!--1min-->
    </div>
    <div class="footer">
            <a style="color:gray" href="https://twitter.com/hashtag/GitLabCommit?src=hashtag_click">#GitLabCommit</a>
    </div>
  </div>

  <div class="mySlides fade">
    <div class="numbertext">4 / 14</div>
    <img src="images/background.jpg" style="width:100%;opacity:0.9;">
    <div class="title">Experiences in Nairobi, Kenya</div>
    <div class="content">
	    <!--  <div style="column-count:2;">-->
		    <div class="box">
			    <div>
              <figure>
                      <img src="images/Location_Kenya_AU_Africa.svg" style="height:150px;width:150px;display:block;margin-left:auto;margin-right:auto">
<figcaption style="text-align:center;font-size:12px"> <a href="https://en.wikipedia.org/wiki/File:Location_Kenya_AU_Africa.svg">Alvaro</a> <a href="https://en.wikipedia.org/wiki/Public_domain">Public domain</a></figcaption>
              </figure>
		    </div>
		    <div>
      <figure>
            <img src="images/655px-Nairobi_County_in_Kenya.svg.png" style="height:150px;width:150px;display:block;margin-left:auto;margin-right:auto">
            <figcaption style="text-align:center;font-size:12px"> <a href="https://commons.wikimedia.org/w/index.php?curid=38844125">NordNordWest</a> <a href="https://commons.wikimedia.org/wiki/Category:CC-BY-SA-3.0">CC-BY-SA-3.0</a></figcaption>
            </figure>
		    </div>
	    </div>

	    <div class="box">
		    <div>
	   <figure>
            <img src="images/Nairobi_view_from_KICC.JPG" style="height:150px;display:block;margin-left:auto;margin-right:auto">
            <figcaption style="text-align:center;font-size:12px"> <a href="https://commons.wikimedia.org/wiki/File:Nairobi,_view_from_KICC.JPG">Daryona</a> <a href="https://commons.wikimedia.org/wiki/Category:CC-BY-SA-3.0">CC-BY-SA-3.0</a></figcaption>
            </figure>
		    </div>
		    <div>
	    <p></p>
	    <p>East Africa's largest city</p>
	    <p>4 million people</p>
	    <p>Growing e-commerce</p>
	    </div>
	   </div>
	   <!--</div>-->
  </div>  
  <div class="footer">
            <a style="color:gray" href="https://twitter.com/hashtag/GitLabCommit?src=hashtag_click">#GitLabCommit</a>
    </div>

  </div>

   <div class="mySlides fade">
    <div class="numbertext">5 / 14</div>
    <img src="images/background.jpg" style="width:100%;opacity:0.9;">
    <div class="title">Experiences in Nairobi, Kenya</div>
    <div class="content">
	    <p> 150 USD per capita GDP per month </p><!-- <p>Kenya has an average of 150 USD GDP per capita per month</p>-->
            <p> Large informal sector </p><!-- <p>Large informal sector due to business registration costs</p> -->
            <figure>
            <img src="images/A_street_hawker_pushing_his_wares.jpg" style="height:250px;display:block;margin-left:auto;margin-right:auto">
            <figcaption style="text-align:center;"> <a href="https://commons.wikimedia.org/wiki/File:A_street_hawker_pushing_his_wares.jpg">Mamouch</a> <a href="https://commons.wikimedia.org/wiki/Category:CC-BY-SA-4.0">CC-BY-SA-4.0</a></figcaption>
            </figure>
    </div>
        <div class="footer">
            <a style="color:gray" href="https://twitter.com/hashtag/GitLabCommit?src=hashtag_click">#GitLabCommit</a>
    </div>
  </div>

    <div class="mySlides fade">
    <div class="numbertext">6 / 14</div>
    <img src="images/background.jpg" style="width:100%;opacity:0.9;">
    <div class="title">GitLab as an E-commerce solution</div>
    <div class="content">
	    <p>Zero startup cost</p><!--<p>GitLab enables a low cost, pay as you earn online web platform</p>-->
	    <ul>
		    <li>&#x1F45D &#x27A1 &#x1F4B0 </li>
	    </ul>
	    <p>Branded online shop</p><!--<p>GitLab Pages is a step above selling through social media</p>-->
	    <ul>
	    <li>
<table>
  <tr>
    <td>Social Media</td>
    <td rowspan="2">&#x2194</td>
    <td>Social Coding</td>
    <td rowspan="2">&#x27A1</td>
    <td>Profit</td>
  </tr>
  <tr>
    <td> &#x1F933&#x1F3FB &#x1F933&#x1F3FC &#x1F933&#x1F3FD &#x1F933&#x1F3FE &#x1F933&#x1F3FF</td>
    <td>&#x1F9D1&#x1F3FF&#x200D&#x1F4BB &#x1F9D1&#x1F3FE&#x200D&#x1F4BB &#x1F9D1&#x1F3FD&#x200D&#x1F4BB &#x1F9D1&#x1F3FC&#x200D&#x1F4BB &#x1F9D1&#x1F3FB&#x200D&#x1F4BB</td>
    <td>&#x1F3E6</td>
  </tr>
</table>
	    </li>
	    </ul>
            <p>Project swag </p> <!--<p>Shops on GitLab Pages may also be useful for projects</p>-->
	    <ul>
		    <li>&#x1F455 &#x1F457 &#x1F3BD &#x1F9E5 &#x1F392 &#x1FA73 &#x2615 &#x1F36B </li>
	    </ul>
    </div>
        <div class="footer">
            <a style="color:gray" href="https://twitter.com/hashtag/GitLabCommit?src=hashtag_click">#GitLabCommit</a>
    </div>
  </div>


  <div class="mySlides fade">
    <div class="numbertext">7 / 14</div>
    <img src="images/background.jpg" style="width:100%;opacity:0.9;">
    <div class="title">Demo Shops</div>
    <div class="content">
	    <ul>
		    <li><a href="https://nairuby-games.gitlab.io/duka/">Nairuby Shop</a></li>
		    <li><a href="https://duka.nairuby.org">Nairuby Shop</a></li>
		    <li><a href="https://shop.gitlab.com">GitLab Shop</a></li>
		    <li><a href="https://tunauza.gitlab.io/gitlabduka">Mockup of GitLab Shop</a></li>
		    <li><a href="https://briansigu.gitlab.io">Webpage for Musician Brian Sigu</a></li>
	    </ul>
	    <figure>
            <img src="images/Mon_Ami_Boulangerie_8119944759.jpg" style="height:250px;display:block;margin-left:auto;margin-right:auto">
            <figcaption style="text-align:center;"> <a href="https://commons.wikimedia.org/wiki/File:Mon_Ami_Boulangerie_(8119944759).jpg#file">Guillaume Speurt</a> <a href="https://commons.wikimedia.org/wiki/Category:CC-BY-SA-2.0">CC-BY-SA-2.0</a></figcaption>
            </figure>
	  </div>
	      <div class="footer">
            <a style="color:gray" href="https://twitter.com/hashtag/GitLabCommit?src=hashtag_click">#GitLabCommit</a>
    </div>
  </div>  

  <div class="mySlides fade">
    <div class="numbertext">8 / 14</div>
    <img src="images/background.jpg" style="width:100%;opacity:0.9;">
    <div class="title">GitLab Pages</div>
    <div class="content">
	    <p style='font-size:65px;text-align:center;'> <img src="images/gitlab-logo-gray-stacked-rgb.png" style="height:65px;width:65px">    &#x1F5D0 </p>
	    <ul>
		    <li><a href="https://docs.gitlab.com/ce/user/project/pages/">GitLab Pages</a> for free hosting of static websites</li>
		    <li>Many nice <a href="https://docs.gitlab.com/ce/user/project/pages/">examples</a></li>
		    <!-- <li>Serverless style computing allows static websites to be used for cost effective shops, when only a limited number of items are sold, since main interactivity for payment and/or sending order information can be invoked to run elsewhere only when required</li>-->
		    <li>Use <a href="https://docs.gitlab.com/ce/ci/README.html">GitLab CI/CD</a> to generate the shop site</li>
	  </div>
	      <div class="footer">
            <a style="color:gray" href="https://twitter.com/hashtag/GitLabCommit?src=hashtag_click">#GitLabCommit</a>
    </div>
  </div>  

    <div class="mySlides fade">
    <div class="numbertext">9 / 14</div>
    <img src="images/background.jpg" style="width:100%;opacity:0.9;">
    <div class="title">Static Site Generators</div>
    <div class="content">
	    <p style='font-size:40px;text-align:center;'>&#x1F4F7 + &#x1F4B6 ? + &#x1F4DD &#x27A1  &#x1F3EA </p>
            <ul>
		    <!--<li>To keep shop configuration simple, a regular user can just upload information with a photo, prices and a description. The photo can be directly uploaded to GitLab. Price, description and photo location can be put in a Markdown file using the GitLab web interface, making this process mobile friendly.</li>-->
		    <li>Generate with <a href="https://middlemanapp.com/">Middleman</a> <img src="images/middleman-logo.svg" style="height:25px;display:inline"> or <a href="https://jekyllrb.com/">Jekyll</a> <img src="images/jekyll-logo-dark-solid.png" style="height:25px;display:inline"> </li> <!-- Use Middleman or Jekyll to generate and update the site -->
	    </ul>
	    <figure>
            <img src="images/StaticTemplates.gif" style="height:200px;display:block;margin-left:auto;margin-right:auto">
            <figcaption style="text-align:center;"> <a href="https://commons.wikimedia.org/wiki/File:StaticTemplates.gif">Peter Krauss</a> <a href="https://commons.wikimedia.org/wiki/Category:CC-BY-SA-3.0">CC-BY-SA-3.0</a></figcaption>
            </figure>
    </div>
        <div class="footer">
            <a style="color:gray" href="https://twitter.com/hashtag/GitLabCommit?src=hashtag_click">#GitLabCommit</a>
    </div>
  </div>

  <div class="mySlides fade">
    <div class="numbertext">10 / 14</div>
    <img src="images/background.jpg" style="width:100%;opacity:0.9;">
    <div class="title">Shipping</div>
    <div class="content">
	    <p style='font-size:30px;text-align:center;'>&#x1F5FA  &#x1F4E6  &#x2708 &#x1F6A2  &#x1F69A  &#x1F6B2  &#x1F6D2</p>
	    <ul>
		    <li>Depends on sending location</li><!--Shipping options depend very much on your sending and
			    delivery locations--!>
			    <ul>
			    <li>Kenya: couriers include <a href="https://www.fargocourier.co.ke/">Fargo</a>, <a href="https://www.posta.co.ke">Posta</a> and <a href="https://www.sendyit.com/">Sendy</a></li>
		    <li>GitLab (USA): primarily <a href="https://www.usps.com">US Postal service</a></li>
		    </ul>
		    <li>Delivery cost</li>
		    <ul>
		    <li>Pricing API</li>
		    <li>Pricing formula</li>
		    </ul>    
		    <li>Delivery location specification</li>
		    <ul>
		    <li>Address</li>
		    <li>Latitude and longtitude</li>
		    </ul> 
		    <!--in Kenya the option of an address or
			    latitude and longtitude is used 
			    as not every location is
			    addressed.-->
	    </ul>
	  </div>
	      <div class="footer">
            <a style="color:gray" href="https://twitter.com/hashtag/GitLabCommit?src=hashtag_click">#GitLabCommit</a>
    </div>
  </div>  

  <div class="mySlides fade">
    <div class="numbertext">11 / 14</div>
    <img src="images/background.jpg" style="width:100%;opacity:0.9;">
    <div class="title">Some Serverless Payment Options</div>
    <div class="content">
	    <p style='font-size:40px;text-align:center;'>&#x1F9E7 &#x1F4B3 &#x1F9FE</p>
	  <div class="double-column">

	  <ul>
		  <li><a href="https://flutterwave.com/"><img alt="Flutterwave" src="images/flutterwave_logo_color.png" style="height:25px;display:inline"></a></li>
		  <li><a href="https://www.lipapay.com/"><img alt="LipaPay" src="images/lipapay_logo.png" style="height:25px;display:inline"></a></li>
		  <li><a href="https://paypal.com"><img alt="Paypal" src="images/paypal_logo.png" style="height:25px;display:inline"></a></li>
		  <li><a href="https://razorpay.com"><img alt="Razorpay" src="images/Razorpay_logo.svg" style="height:25px;display:inline"></a></li>
		  <li><a href="https://www.shopify.com/buy-button"><img alt="Shopify" src="images/shopify_logo_whitebg.svg" style="height:25px;display:inline"></a></li>
		  <li><a href="https://stripe.com/"><img alt="Stripe" src="images/Stripe_logo-slate.svg" style="height:25px;display:inline"></a></li>
		  <li><a href="https://pay.google.com/"><img alt="Google Pay" src="images/google-pay-logo.svg" style="height:25px;display:inline"></a></li>
		  <li><a href="https://pay.amazon.com/"><img alt="Amazon Pay" src="images/amazonpay-logo.svg" style="height:25px;display:inline"></a></li>
		  <li><a href="https://paystack.com/"><img alt="Paystack" src="images/Paystack_logo.svg" style="height:25px;display:inline"></a></li>
		  <li><a href="https://squareup.com"><img alt="Square" src="images/Square_logo.svg" style="height:25px;display:inline"></a></li>
		  <li><a href="https://payoneer.com"><img alt="Payoneer" src="images/Payoneer_logo.svg" style="height:25px;display:inline"></a></li>
		  <li><a href="https://www.phonepe.com"><img alt="PhonePe" src="images/PhonePe_logo.svg" style="height:25px;display:inline"></a></li>
		  <li><a href="https://operapay.com"><img alt="Operapay" src="images/OPay_logo.jpeg" style="height:25px;display:inline"></a></li>
		  <li><a href="https://www.paytm.com"><img alt="Paytm" src="images/Paytm_logo.svg" style="height:25px;display:inline"></a></li>
		  <li><a href="https://www.palmpay.co"><img alt="Palmpay" src="images/palmpay_logo.png" style="height:25px;display:inline"></a></li>
		  <li><a href="https://sumup.com"><img alt="Sumup" src="images/sumup.svg" style="height:25px;display:inline"></a></li>

	  </ul>
	  </div>
	<!--  <p>In an African context, payment facilitators that
	  have only percentage transaction costs are favourable
	  since sales of less than 100 USD per month can be 
	  common.</p>-->
  </div>
      <div class="footer">
            <a style="color:gray" href="https://twitter.com/hashtag/GitLabCommit?src=hashtag_click">#GitLabCommit</a>
    </div>
  </div>  

  <div class="mySlides fade">
    <div class="numbertext">12 / 14</div>
    <img src="images/background.jpg" style="width:100%;opacity:0.9;">
    <div class="title">Feedback and customer service</div>
    <div class="content">
	    <ul>
		    <li>Feedback</li>
		    <ul>
			    <li><a href="https://www.commento.io/">Commento</a></li>
			    <li><a href="https://disqus.com/">Disqus</a></li>
			    <li><a href="https://posativ.org/isso/">Isso</a></li>
		    </ul>
		    <li>Customer service</li>
		    <ul>
			    <li><a href="https://www.chatwoot.com/">Chatwoot</a></li>
			    <li><a href="https://conversejs.org/">Conversejs</a></li>
			    <li><a href="https://www.tawk.to/">tawk.to</a></li>
		    </ul>
	    </ul>
  </div>
      <div class="footer">
            <a style="color:gray" href="https://twitter.com/hashtag/GitLabCommit?src=hashtag_click">#GitLabCommit</a>
    </div>
  </div>

  <div class="mySlides fade">
    <div class="numbertext">13 / 14</div>
    <img src="images/background.jpg" style="width:100%;opacity:0.9;">
    <div class="title">Setup demo</div>
    <div class="content">
	    <p><a href="https://gitlab.com/tunauza/">https://gitlab.com/tunauza/</a></p>
  </div>
      <div class="footer">
            <a style="color:gray" href="https://twitter.com/hashtag/GitLabCommit?src=hashtag_click">#GitLabCommit</a>
    </div>
  </div>  

  <div class="mySlides fade">
    <div class="numbertext">14 / 14</div>
    <img src="images/background.jpg" style="width:100%;opacity:0.9;">
    <div class="title">Summary</div>
    <div class="content">
	  <ul>
		  <li>GitLab pages for static e-commerce sites</li>
		  <li>Cost effective solution for simple shops</li>
		  <li>Useful for open source projects that have swag</li>
	  </ul>
	  <h2 style="text-align:center">Thanks</h2>
	  <ul>
		  <li>Nairuby Community</li>
		  <li>Emukule Ekirapa</li>
	  </ul>
  </div>
      <div class="footer">
            <a style="color:gray" href="https://twitter.com/hashtag/GitLabCommit?src=hashtag_click">#GitLabCommit</a>
    </div>
  </div>  

  <div class="mySlides fade">
    <div class="numbertext">15 / 14</div>
    <img src="images/outro.jpg" style="width:100%;opacity:0.9;">
    <div class="title" style="color:white">Thanks</div>
    <div class="content">
	    <div class="gitlab-corner-wrapper" style="z-index:100; position: fixed;"><a href="https://gitlab.com/tunauza" class="gitlab-corner" aria-label="View source on GitLab"><svg id="logo_art" data-name="logo art" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 586 559"><g id="g44"><path id="path46" class="cls-1" d="M461.17,301.83l-18.91-58.12L404.84,128.43a6.47,6.47,0,0,0-12.27,0L355.15,243.64H230.82L193.4,128.43a6.46,6.46,0,0,0-12.26,0L143.78,243.64l-18.91,58.19a12.88,12.88,0,0,0,4.66,14.39L293,435,456.44,316.22a12.9,12.9,0,0,0,4.73-14.39"/></g><g id="g48"><path id="path50" class="cls-2" d="M293,434.91h0l62.16-191.28H230.87L293,434.91Z"/></g><g id="g56"><path id="path58" class="cls-1" d="M293,434.91,230.82,243.63h-87L293,434.91Z"/></g><g id="g64"><path id="path66" class="cls-3" d="M143.75,243.69h0l-18.91,58.12a12.88,12.88,0,0,0,4.66,14.39L293,435,143.75,243.69Z"/></g><g id="g72"><path id="path74" class="cls-2" d="M143.78,243.69h87.11L193.4,128.49a6.47,6.47,0,0,0-12.27,0l-37.35,115.2Z"/></g><g id="g76"><path id="path78" class="cls-1" d="M293,434.91l62.16-191.28H442.3L293,434.91Z"/></g><g id="g80"><path id="path82" class="cls-3" d="M442.24,243.69h0l18.91,58.12a12.85,12.85,0,0,1-4.66,14.39L293,434.91l149.2-191.22Z"/></g><g id="g84"><path id="path86" class="cls-2" d="M442.28,243.69h-87.1l37.42-115.2a6.46,6.46,0,0,1,12.26,0l37.42,115.2Z"/></g></svg></a></div>
<!-- Gitlab corner from https://gitlab.com/brycedorn/gitlab-corners-->
            <div class="center">
		    <p>Source code<br>
                     <a style="color:white" href="https://gitlab.com/tunauza/">
                     https://gitlab.com/tunauza/</a></p>
<!--		    <p>Chat<br>
		    <a style="color:white" href="https://gitter.im/tunauza/community">
		    https://gitter.im/tunauza/community</a></p> -->
		    <p>Nairuby Shop<br>
                    <a style="color:white" href="https://duka.nairuby.org/">
                            https://duka.nairuby.org/</a></p>
            </div>
    </div>
  </div>

  <!-- Next and previous buttons -->
  <a class="prev" onclick="plusSlides(-1)">&#10094;</a>
  <a class="next" onclick="plusSlides(1)">&#10095;</a>
</div>
<br>

<!-- The dots/circles -->
<div style="text-align:center">
  <span class="dot" onclick="currentSlide(1)"></span>
  <span class="dot" onclick="currentSlide(2)"></span>
  <span class="dot" onclick="currentSlide(3)"></span>
  <span class="dot" onclick="currentSlide(4)"></span>
  <span class="dot" onclick="currentSlide(5)"></span>
  <span class="dot" onclick="currentSlide(6)"></span>
  <span class="dot" onclick="currentSlide(7)"></span>
  <span class="dot" onclick="currentSlide(8)"></span>
  <span class="dot" onclick="currentSlide(9)"></span>
  <span class="dot" onclick="currentSlide(10)"></span>
  <span class="dot" onclick="currentSlide(11)"></span>
  <span class="dot" onclick="currentSlide(12)"></span>
  <span class="dot" onclick="currentSlide(13)"></span>
  <span class="dot" onclick="currentSlide(14)"></span>
  <span class="dot" onclick="currentSlide(15)"></span>
</div>
<script src="js/control.js"></script>
</body>
</html>

